#!/bin/bash

if [ ! -f ../lib/libhash.a ]
then
	echo "Change directory to ../lib"
	echo "Run make -f libhash.mak"
	echo "Run make -f librnd.mak"
	echo "Then rerun this step"
	exit 1
fi

if [ ! -x inithsh ]
then
	echo "Run make -f inithsh.mak"
	echo "Then rerun this step"
	exit 1
fi

if [ ! -x bldhsh ]
then
	echo "Run make -f bldhsh.mak"
	echo "Then rerun this step"
	exit 1
fi

if [ ! -x hshsize ]
then
	echo "Run make -f hshsize.mak"
	echo "Then rerun this step"
	exit 1
fi

if [ ! -x holdlock ]
then
	echo "Run make -f holdlock.mak"
	echo "Then rerun this step"
	exit 1
fi

# Initialize a new database
rm -f tst.hsh
inithsh -m new -t 31 -r 16 -k 8 -o 4 tst.hsh

# populate the database
bldhsh tst.hsh 31

# count the records in the database
hshsize tst.hsh

# lock the database on one terminal
# run tstlock.sh on another terminal
holdlock tst.hsh
# Press enter to terminate holdlock
# Then re-run tstlock.sh on the other terminal
